if (typeof languageTexts === 'undefined') {
	languageTexts = {
		"en-GB": {
			menu_information: "Information",
			menu_settings: "Settings",
			menu_about: "About",

			white: "White",
			blue: "Blue",
			red: "Red",
			day: " Day",
			days: " Days",
			hour: " Hour",
			hours: " Hours",
			night: "Night",
			watering: "Watering",
			disabled: "Disabled",
			not_set: "Not set",
			phase_germination: "Germination",
			phase_leaf_dev: "Leaf development",
			phase_vegetative: "Vegetative phase",
			phase_inflorescence: "Inflorescence",
			phase_fruit: "Fruit formation",
			access_point: "Access Point",
			conn_to_wifi: "Connected to WiFi",
			disconnected: "Disconnected",
			low_water_level: "Low water level",
			enough_water: "Enough water",
			set: "Set",

			info_sensors: "Sensors",
			info_soil_moisture: "Soil moisture",
			info_temp_humid: "Temperature/humidity",
			info_water_lvl_sw: "Water level switch",
			info_actuators: "Actuators",
			info_water_pump: "Water pump",
			info_fan: "Fan",
			info_timing: "Timing",
			info_led_intensity: "LED intensity",
			info_sel_phase: "Selected phase",
			info_manual_set: "Manual settings",
			info_pump_is_on: "Pump is on for ",
			info_level_moist: "Moisture level ",
			info_every: "Every ",
			trimmer_red: "Red",
			trimmer_blue: "Blue",
			trimmer_white: "White",
			time_watering: "Watering",
			time_moon: "Night",
			time_sun: "Day",

			set_wifi_ap_settings: "Set WiFi and AP settings",
			set_access_point: "Access Point",
			set_wifi_ap_info:"These values are used to set the Access Point mode, where the user connects the device directly to AlbiLAB.",
			set_password: "Password:",
			set_wifi_settings: "WiFi settings",
			set_wifi_info: "These values are used to set the WiFi mode, where the device connects to the local network.",
			set_dns_name: "DNS (Device) name:",
			set_dns_info: "The DNS name is the name of your device that you want to connect to. The default is AlbiLAB and this means that the address is \"AlbiLAB.local\". If you change this value, the name before .local will change accordingly.",
			set_len1: "SSID and DNS Name must be at least 6 characters long.",
			set_len2: "Passwords must be at least 8 characters long.",
			set_btn_change: "Change WiFi and AP Settings",
			set_fw_update: "Firmware update",
			set_fw_current: "Current version",
			set_fw_down_new: "Download new version",
			set_fw_down_new_warn1: "Before uploading new firmware,",
			set_fw_down_new_warn2:"read the instructions carefully",
			set_fw_down_new_warn3:"to see what files you need to upload using",
			set_fw_upload_file_expl:"File Explorer",
			set_fw_upload_file_name:"Select AlbiLAB_v_x.y.z_firmware.bin file to upload a new FW version",
			set_fw_upload_btn:"Upload",
			set_file_system: "File system",
			set_open_file_explorer: "Open File Explorer",
			set_alert_len: "Check the length of all inputs. They must be in the range of 6/8-32 characters.",
		},
		cs: {        
			menu_information: "Informace",
			menu_settings: "Nastavení",
			menu_about: "O Nás",

			white: "Bílá",
			blue: "Modrá",
			red: "Červená",
			night: "Noc",
			watering: "Zalévání",
			disabled: "Zakázáno",
			day: " Den",
			days: " Dní",
			hour: " Hodinu",
			hours: " Hodin",
			not_set: "Nenastaveno",
			phase_germination: "Klíčení",
			phase_leaf_dev: "Vývoj listů",
			phase_vegetative: "Vegetativní fáze",
			phase_inflorescence: "Květenství",
			phase_fruit: "Tvorba plodů",
			access_point: "Přístupový bod",
			conn_to_wifi: "Připojeno k WiFi",
			disconnected: "Odpojeno",
			low_water_level: "Nízká hladina vody",
			enough_water: "Dostatek vody",
			set: "Nastaven",			trimmer_red: "Červená",
			trimmer_blue: "Modrá",
			trimmer_white: "Bílá",
			time_watering: "Zavlažování",
			time_moon: "Noc",
			time_sun: "Den",

			info_sensors: "Senzory",
			info_soil_moisture: "Vlhkost půdy",
			info_temp_humid: "Teplota/vlhkost",
			info_water_lvl_sw: "Snímač hladiny vody",
			info_actuators: "Akční členy",
			info_water_pump: "Čerpadlo",
			info_fan: "Větráček",
			info_timing: "Čas",
			info_led_intensity: "Intenzita LED",
			info_sel_phase: "Vybraná fáze",
			info_manual_set: "Manuální nastavení",
			info_level_moist: "Úroveň vhlkosti ", 
			info_every: "Každých ",
			info_pump_is_on: "Čerpadlo je zapnuto ",
			info_time: " hodin",

			set_wifi_ap_settings: "Nastavení WiFi a přístupového bodu (AP)",
			set_access_point: "Přístupový bod",
			set_wifi_ap_info: "Tyto hodnoty slouží k nastavení režimu přístupového bodu, kdy uživatel připojuje zařízení přímo k AlbiLABu.",
			set_password: "Heslo:",
			set_wifi_settings: "Nastavení WiFi",
			set_wifi_info: "Tyto hodnoty slouží k nastavení režimu WiFi, ve kterém se zařízení připojuje k místní síti.",
			set_dns_name: "DNS name - Název zařízení",
			set_dns_info: "Hodnota DNS odpovídá názvu zařízení, ke kterému se chcete připojit. Výchozí hodnota je AlbiLAB, což znamená, že adresa je potom \„AlbiLAB.local\“. Pokud tuto hodnotu změníte, změní se odpovídajícím způsobem i název před .local.",
			set_len1: "SSID a DNS Name (název zařízení) musí být dlouhý alespoň 6 znaků.",
			set_len2: "Hesla musí být dlouhá alespoň 8 znaků.",
			set_btn_change: "Uložit nastavení WiFi a AP",
			set_fw_update: "Aktualizace firmwaru",
			set_fw_current: "Aktuální verze",
			set_fw_down_new: "Stáhnout novou verzi",
			set_fw_down_new_warn1: "Před nahráním nového FW",
			set_fw_down_new_warn2:"si pečlivě přečtěte instrukce,",
			set_fw_down_new_warn3:"abyste věděli, jaké soubory je třeba nahrát pomocí",
			set_fw_upload_file_expl:"průzkumníku",
			set_fw_upload_file_name:"Vyberte soubor ve tvaru AlbiLAB_v_x.y.z_firmware.bin pro nahrání nové verze FW",
			set_fw_upload_btn:"Nahrát",
			set_file_system: "Souborový systém",
			set_open_file_explorer: "Otevřít průzkumník souborů",
			set_alert_len: "Zkontrolujte délku všech vstupů. Musí být v rozmezí 6/8-32 znaků.",
		}
	};
}
