#!/bin/bash

./MacOS/esptool --chip esp32s2 --baud 460800  --before default_reset --after hard_reset write_flash  -z --flash_mode dio --flash_freq 80m --flash_size 4MB 0x1000 FW/bootloader.bin 0x8000 FW/partitions.bin 0xe000 FW/boot_app0.bin 0x10000 FW/firmware.bin 0x370000 FW/littlefs.bin

if [ $? -eq 137 ]; then
    echo ""
    echo " --- Permission denied. Please check your permissions and try again. --- "
    echo "  1) open settings"
    echo "  2) select Privacy and Security"
    echo "  3) then click on Allow Anyway for esptool"
    echo "  4) run the script again"
    echo ""
fi

